//
//  AboutViewController.m
//  TheGame4
//
//  Created by Soul on 15.12.11.
//  Copyright (c) 2011 __MyCompanyName__. All rights reserved.
//

#import "AboutViewController.h"
#import "MyExtensions.h"



@implementation AboutViewController
@synthesize SendField = _SendField;
@synthesize URLField = _URLField;
@synthesize EmailField = _EmailField;
@synthesize PasswordField = _PasswordField;
@synthesize JSONView = _JSONView;
@synthesize MD5Field = _MD5Field;
@synthesize ResponseField = _ResponseField;






NSString *accept;
NSData *returnData;
NSString *sendmail;
NSString *sendmd5;
NSString *sendstring;
NSString *sendpassword;
NSString *sendURL; NSString *renderedURL;
//NSDictionary *json = [returned JSONValue];

- (IBAction)SendRequest:(id)sender {
    
    
    
    
    
    NSLog(@"Establishing connection...");
    //Old response:
    //NSMutableURLRequest *request = [[NSMutableURLRequest alloc] init]; [request setURL:[NSURL URLWithString:@"http://pain.mooo.com/delme.php"]];
    renderedURL = [NSString stringWithFormat:@"%@\?regid=%d&email=%@&md5=%@", sendURL, 1, sendmail, sendmd5];
    NSLog(@"URL Generated: %@",renderedURL);
    
    NSMutableURLRequest *request = [[NSMutableURLRequest alloc] init]; [request setURL:[NSURL URLWithString:renderedURL]];
    
    [request setHTTPMethod:@"GET"];
    
    accept = @"1";
    NSLog(@"Adding value for HTTP Header");
    [request addValue:accept forHTTPHeaderField: @"regid"];
    accept = @"example@mail.com";
    NSLog(@"Adding value for HTTP Header");
    [request addValue:accept forHTTPHeaderField: @"email"];
    accept = @"test";
    NSLog(@"Adding value for HTTP Header");
    [request addValue:accept forHTTPHeaderField: @"md5"];
    
    
    
    NSLog(@"Sending request...");
    //send request & get response
    returnData = [NSURLConnection sendSynchronousRequest:request returningResponse:nil error:nil];
    NSLog(@"Request sent");
    //Here we convert data response to string
    NSString* responseString = [[NSString alloc] initWithData:returnData encoding: NSUTF8StringEncoding];
    NSLog(@"Response String: %@", responseString);
    self.ResponseField.text = responseString;
    NSError* error;
    NSDictionary* json = [NSJSONSerialization 
                          JSONObjectWithData:returnData 
                          options:kNilOptions 
                          error:&error];
    
    NSString *state = [json objectForKey:@"state"]; 
    NSString *playerid = [json objectForKey:@"id"];
    NSString *playermail = [json objectForKey:@"email"];
    _JSONView.text = [NSString stringWithFormat:@"State = %@\nid = %@\nmail = %@", state, playerid, playermail];
    
    NSLog(@"Parse output: state = %@, id = %@, mail = %@", state, playerid, playermail);
    
}

- (id)initWithNibName:(NSString *)nibNameOrNil bundle:(NSBundle *)nibBundleOrNil
{
    self = [super initWithNibName:nibNameOrNil bundle:nibBundleOrNil];
    if (self) {
        // Custom initialization
    }
    return self;
}

- (void)didReceiveMemoryWarning
{
    // Releases the view if it doesn't have a superview.
    [super didReceiveMemoryWarning];
    
    // Release any cached data, images, etc that aren't in use.
}

#pragma mark - View lifecycle

/*
// Implement loadView to create a view hierarchy programmatically, without using a nib.
- (void)loadView
{
}
*/


- (void)viewDidLoad
{
    
    //Setting string for URL request
    sendstring = @"reg";
    sendpassword = @"qwerty";
    sendmail = @"hardreset@gmail.com";
    sendURL = @"http://pain.mooo.com/delme.php";
    //Setting text fields
    _URLField.text = sendURL;
    _EmailField.text = sendmail;
    sendmd5 = [sendpassword md5];
    _PasswordField.text = sendpassword;
    _MD5Field.text = sendmd5;
    _SendField.text = sendstring;
    NSLog(@"MD5 Hash: %@", sendmd5);
    [super viewDidLoad];
    
}


- (void)viewDidUnload
{

    [self setResponseField:nil];
    [self setURLField:nil];
    [self setEmailField:nil];
    [self setPasswordField:nil];
    [self setJSONView:nil];
    [self setMD5Field:nil];
    [self setSendField:nil];
    [super viewDidUnload];
    
        
    // Release any retained subviews of the main view.
    // e.g. self.myOutlet = nil;
}

- (BOOL)shouldAutorotateToInterfaceOrientation:(UIInterfaceOrientation)interfaceOrientation
{
    // Return YES for supported orientations
    return (interfaceOrientation == UIInterfaceOrientationPortrait);
}

- (IBAction)SetNewValues:(id)sender {
    
    sendpassword = _PasswordField.text;
    sendmd5 = [sendpassword md5];
    sendURL = _URLField.text;
    sendmail = _EmailField.text;
    sendstring = _SendField.text;
    _MD5Field.text = sendmd5;
    NSLog(@"New values set");
    
}
- (IBAction)HideKeyboard:(id)sender {
    [sender resignFirstResponder];
}


@end
