//
//  CellCustomization.m
//  TheGame4
//
//  Created by LittleWorld on 19.01.12.
//  Copyright (c) 2012 __MyCompanyName__. All rights reserved.
//

#import "CellCustomization.h"

@implementation CellCustomization

- (void) setBackground:(UIImage *)backgroundImage
{
    background = [[UIImageView alloc] initWithImage:backgroundImage];
    background.frame = CGRectMake(0, 0, 320, 95);
    [self.contentView addSubview:background];
}

- (void) addTitle:(NSInteger)label
{
    UILabel * textTitle = [[UILabel alloc] initWithFrame:CGRectZero];
    textTitle.backgroundColor = [UIColor clearColor];
    textTitle.textColor = [UIColor grayColor];
    textTitle.frame = CGRectMake(177, 8, 135, 11);
    textTitle.font = [UIFont boldSystemFontOfSize:12];
    textTitle.text = [NSString stringWithFormat: @"Structure #%d Title", label];
    [self.contentView addSubview:textTitle];
}

- (id)initWithStyle:(UITableViewCellStyle)style reuseIdentifier:(NSString *)reuseIdentifier
{
    self = [super initWithStyle:style reuseIdentifier:reuseIdentifier];
    if (self) {
        // Initialization code
    }
    return self;
}

 
- (void)setSelected:(BOOL)selected animated:(BOOL)animated
{
    [super setSelected:selected animated:animated];

    // Configure the view for the selected state
}

@end
