//
//  LoginViewController.m
//  TheGame4
//
//  Created by Soul on 12.12.11.
//  Copyright (c) 2011 __MyCompanyName__. All rights reserved.
//

#import "LoginViewController.h"
#import "RegistrationViewController.h"
#import "BuildViewController.h"
#import "MyExtensions.h"



@implementation LoginViewController
@synthesize EmailField;
@synthesize PasswordField;
@synthesize RememberSwitch;
@synthesize Indicator;

- (IBAction)FocusOnPassword:(id)sender {
    [PasswordField becomeFirstResponder];
}

- (IBAction)ShowAboutViewController:(id)sender {
    NSLog(@"Opening About window...");
    LoginViewController *svc = [self.storyboard instantiateViewControllerWithIdentifier:@"InfoView"];
    [self.navigationController pushViewController:svc animated:YES];
}

- (IBAction)ShowTabView:(id)sender {
    NSLog(@"Opening tab view controller");
    LoginViewController *svc = [self.storyboard instantiateViewControllerWithIdentifier:@"TabView"];
    [self.navigationController pushViewController:svc animated:YES];
}

- (IBAction)ShowBuildViewController:(id)sender {
    NSLog(@"Opening build window");
    LoginViewController *svc = [self.storyboard instantiateViewControllerWithIdentifier:@"BuildView"];
    [self.navigationController pushViewController:svc animated:YES];
    
}

- (IBAction)ShowRegistrationView:(id)sender {
    NSLog(@"Opening registration window");
    LoginViewController *svc = [self.storyboard instantiateViewControllerWithIdentifier:@"RegView"];
    [self.navigationController pushViewController:svc animated:YES];
    
}

- (id)initWithNibName:(NSString *)nibNameOrNil bundle:(NSBundle *)nibBundleOrNil
{
    self = [super initWithNibName:nibNameOrNil bundle:nibBundleOrNil];
    if (self) {
        // Custom initialization
    }
    return self;
}

- (void)didReceiveMemoryWarning
{
    // Releases the view if it doesn't have a superview.
    [super didReceiveMemoryWarning];
    
    // Release any cached data, images, etc that aren't in use.
}

#pragma mark - View lifecycle

/*
// Implement loadView to create a view hierarchy programmatically, without using a nib.
- (void)loadView
{
}
*/



- (void)viewDidLoad
{
    Indicator.alpha = 0;
    
    [super viewDidLoad];
}


- (void)viewDidUnload
{
    [self setEmailField:nil];
    [self setPasswordField:nil];
    [self setRememberSwitch:nil];
    [self setIndicator:nil];
    [super viewDidUnload];
    
    // Release any retained subviews of the main view.
    // e.g. self.myOutlet = nil;
}

- (BOOL)shouldAutorotateToInterfaceOrientation:(UIInterfaceOrientation)interfaceOrientation
{
    // Return YES for supported orientations
    return (interfaceOrientation == UIInterfaceOrientationPortrait);
}

- (IBAction)LoginUser:(id)sender{
    //NSString *ACCEPT_VALUE;
    NSString *SEND_MAIL;
    //NSData   *RETURN_DATA;      
    NSString *SEND_MD5;
    NSString *SEND_STRING;      NSString *SEND_PASSWORD;
    NSString *SEND_URL;         NSString *RENDERED_URL;
    Indicator.alpha = 1;
    if ((EmailField.text.length == 0) || (PasswordField.text.length == 0)) {
        //Here will be some code
        
    }
    SEND_MAIL = EmailField.text;
    SEND_PASSWORD = PasswordField.text;
    SEND_MD5 = [SEND_PASSWORD md5];
    SEND_STRING = @"REG";
    RENDERED_URL = [NSString stringWithFormat:@"%@\?%@=%d&email=%@&md5=%@", SEND_URL, SEND_STRING, 1, SEND_MAIL, SEND_MD5];
    
    NSLog(@"%@\?%@=%d&email=%@&md5=%@", SEND_URL, SEND_STRING, 1, SEND_MAIL, SEND_MD5);
    
}

- (IBAction)HideKeyboard:(id)sender {
    [sender resignFirstResponder];
}

@end
