//
//  RegistrationViewController.m
//  TheGame4
//
//  Created by Soul on 12.12.11.
//  Copyright (c) 2011 __MyCompanyName__. All rights reserved.
//

#import "RegistrationViewController.h"
#import "LoginViewController.h"
#import "MyExtensions.h"
@implementation RegistrationViewController
@synthesize EmailField;
@synthesize PasswordField1;
@synthesize PasswordField2;
@synthesize EULAField;

- (IBAction)FocusFirstPassword:(id)sender {
    [PasswordField1 becomeFirstResponder];
}
- (IBAction)FocusSecondPassword:(id)sender {
    [PasswordField2 becomeFirstResponder];
}
- (IBAction)PasswordEditing:(id)sender {
    PasswordField1.backgroundColor = [UIColor whiteColor]; PasswordField1.alpha = 0.8;
    PasswordField2.backgroundColor = [UIColor whiteColor]; PasswordField2.alpha = 0.8;
    EmailField.backgroundColor = [UIColor whiteColor]; EmailField.alpha = 0.8;
}

- (IBAction)AcceptButton:(id)sender {
    
    //Here we check password fields equal condition
    if ([PasswordField1.text isEqualToString:PasswordField2.text]) {
        NSLog(@"Password %@ with hash %@ is OK", PasswordField1.text, [PasswordField1.text md5]);
     
    } else {
        PasswordField1.backgroundColor = [UIColor redColor]; PasswordField1.alpha = 0.8;
        PasswordField2.backgroundColor = [UIColor redColor]; PasswordField2.alpha = 0.8;
        NSLog(@"PWD1: %@ PWD2: %@", PasswordField1.text, PasswordField2.text);
        NSLog(@"MD5_1: %@ MD5_2: %@", [PasswordField1.text md5], [PasswordField2.text md5]);
            }
    // Here we check @ char availability in email field 
    if ([EmailField.text rangeOfString:@"\u0040"].location == NSNotFound) {
        NSLog(@"Email not set proper");
        EmailField.backgroundColor = [UIColor redColor]; EmailField.alpha = 0.8;
    } else {
        NSLog(@"Email checked OK");
    }
}

- (IBAction)ShowLoginView:(id)sender {
    NSLog(@"Opening login window");
    RegistrationViewController *svc = [self.storyboard instantiateViewControllerWithIdentifier:@"LoginView"];
    [self.navigationController pushViewController:svc animated:YES];
}

- (id)initWithNibName:(NSString *)nibNameOrNil bundle:(NSBundle *)nibBundleOrNil
{
    self = [super initWithNibName:nibNameOrNil bundle:nibBundleOrNil];
    if (self) {
        // Custom initialization
    }
    return self;
}

- (void)didReceiveMemoryWarning
{
    // Releases the view if it doesn't have a superview.
    [super didReceiveMemoryWarning];
    
    // Release any cached data, images, etc that aren't in use.
}

#pragma mark - View lifecycle

/*
// Implement loadView to create a view hierarchy programmatically, without using a nib.
- (void)loadView
{
}
*/

/*
// Implement viewDidLoad to do additional setup after loading the view, typically from a nib.
- (void)viewDidLoad
{
    [super viewDidLoad];
}
*/

- (void)viewDidUnload
{
    [self setEmailField:nil];
    [self setPasswordField1:nil];
    [self setPasswordField2:nil];
    [self setEULAField:nil];
    [super viewDidUnload];
    // Release any retained subviews of the main view.
    // e.g. self.myOutlet = nil;
}

- (BOOL)shouldAutorotateToInterfaceOrientation:(UIInterfaceOrientation)interfaceOrientation
{
    // Return YES for supported orientations
    return (interfaceOrientation == UIInterfaceOrientationPortrait);
}

- (IBAction)HideKeyboard:(id)sender {
    [sender resignFirstResponder];
}



@end
